LibreOffice LibreOffice 6.1 SDK API Reference

Public Member Functions | List of all members
XImportFilter Interface Referencepublished

interface to implement for an XML-based import filter. More...

`import"XImportFilter.idl";`

Inheritance diagram for XImportFilter:

## Public Member Functions
boolean | importer ([in] sequence< com::sun::star::beans::PropertyValue > aSourceData, [in] com::sun::star::xml::sax::XDocumentHandler xDocHandler, [in] sequence< string > msUserData) raises ( com::sun::star::lang::IllegalArgumentException )
| performs the import. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

interface to implement for an XML-based import filter.

Since
  OOo 1.1.2

## Member Function Documentation

## ◆ importer()

boolean importer | ( | [in] sequence< com::sun::star::beans::PropertyValue > | aSourceData,
|  | [in] com::sun::star::xml::sax::XDocumentHandler | xDocHandler,
|  | [in] sequence< string > | msUserData
| ) |  |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

performs the import.

The source data (location indicated by aSourceData), and the XML representation of the document must be generated by calls to xocHandler (???) methods.

Parameters

  aSourceData | com::sun::star::document::MediaDescriptor which defines the data source
  msUserData | Sequence of strings which contains the user data defined in the TypeDetection.xml
  xDocHandler | target for the XML document representation

Returns
  `TRUE` if import process is successful

The documentation for this interface was generated from the following file:

- com/sun/star/xml/XImportFilter.idl